# bundesrat
Bundesrat Informationen API 

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[bundesrat]
```

### poetry install

```sh
poetry add deutschland -E bundesrat
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import bundesrat
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import bundesrat
from pprint import pprint
from deutschland.bundesrat.api import default_api
# Defining the host is optional and defaults to https://www.bundesrat.de
# See configuration.py for a list of all supported configuration parameters.
configuration = bundesrat.Configuration(
    host = "https://www.bundesrat.de"
)



# Enter a context with an instance of the API client
with bundesrat.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    view = "renderXml" # str | Xml Ausabe

    try:
        # Mitglieder
        api_response = api_instance.i_os_shared_docs2_mitglieder_mitglieder_table_xml_get(view)
        pprint(api_response)
    except bundesrat.ApiException as e:
        print("Exception when calling DefaultApi->i_os_shared_docs2_mitglieder_mitglieder_table_xml_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://www.bundesrat.de*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**i_os_shared_docs2_mitglieder_mitglieder_table_xml_get**](docs/DefaultApi.md#i_os_shared_docs2_mitglieder_mitglieder_table_xml_get) | **GET** /iOS/SharedDocs/2_Mitglieder/mitglieder_table.xml | Mitglieder
*DefaultApi* | [**i_os_shared_docs3_plenum_plenum_aktuelle_sitzung_table_xml_get**](docs/DefaultApi.md#i_os_shared_docs3_plenum_plenum_aktuelle_sitzung_table_xml_get) | **GET** /iOS/SharedDocs/3_Plenum/plenum_aktuelleSitzung_table.xml | Plenum aktuelle Sitzung
*DefaultApi* | [**i_os_shared_docs3_plenum_plenum_naechste_sitzungen_xml_get**](docs/DefaultApi.md#i_os_shared_docs3_plenum_plenum_naechste_sitzungen_xml_get) | **GET** /iOS/SharedDocs/3_Plenum/plenum_naechsteSitzungen.xml | Plenum nächste Sitzung
*DefaultApi* | [**i_os_shared_docs3_plenum_plenum_to_chronologisch_table_xml_get**](docs/DefaultApi.md#i_os_shared_docs3_plenum_plenum_to_chronologisch_table_xml_get) | **GET** /iOS/SharedDocs/3_Plenum/plenum_toChronologisch_table.xml | Plenum Chronologisch
*DefaultApi* | [**i_osv301_aktuelles_aktuelles_table_xml_get**](docs/DefaultApi.md#i_osv301_aktuelles_aktuelles_table_xml_get) | **GET** /iOS/v3/01_Aktuelles/aktuelles_table.xml | Aktuelles
*DefaultApi* | [**i_osv302_termine_termine_table_xml_get**](docs/DefaultApi.md#i_osv302_termine_termine_table_xml_get) | **GET** /iOS/v3/02_Termine/termine_table.xml | Termine
*DefaultApi* | [**i_osv303_plenum_plenum_kompakt_table_xml_get**](docs/DefaultApi.md#i_osv303_plenum_plenum_kompakt_table_xml_get) | **GET** /iOS/v3/03_Plenum/plenum_kompakt_table.xml | Plenum Kompakt
*DefaultApi* | [**i_osv305_bundesrat_praesidium_bundesrat_praesidium_xml_get**](docs/DefaultApi.md#i_osv305_bundesrat_praesidium_bundesrat_praesidium_xml_get) | **GET** /iOS/v3/05_Bundesrat/Praesidium/bundesrat_praesidium.xml | Präsidium
*DefaultApi* | [**i_osv306_stimmen_stimmverteilung_xml_get**](docs/DefaultApi.md#i_osv306_stimmen_stimmverteilung_xml_get) | **GET** /iOS/v3/06_Stimmen/stimmverteilung.xml | Stimmverteilung
*DefaultApi* | [**i_osv3_startlist_table_xml_get**](docs/DefaultApi.md#i_osv3_startlist_table_xml_get) | **GET** /iOS/v3/startlist_table.xml | Übersicht API Endpunkte


## Documentation For Models



## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in bundesrat.apis and bundesrat.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.bundesrat.api.default_api import DefaultApi`
- `from deutschland.bundesrat.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import bundesrat
from deutschland.bundesrat.apis import *
from deutschland.bundesrat.models import *
```

