# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.bundesrat',
 'deutschland.bundesrat.api',
 'deutschland.bundesrat.apis',
 'deutschland.bundesrat.model',
 'deutschland.bundesrat.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-bundesrat',
    'version': '0.1.0',
    'description': 'Bundesrat: Live Informationen',
    'long_description': '# bundesrat\nBundesrat Informationen API \n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[bundesrat]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E bundesrat\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import bundesrat\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import bundesrat\nfrom pprint import pprint\nfrom deutschland.bundesrat.api import default_api\n# Defining the host is optional and defaults to https://www.bundesrat.de\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = bundesrat.Configuration(\n    host = "https://www.bundesrat.de"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith bundesrat.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    view = "renderXml" # str | Xml Ausabe\n\n    try:\n        # Mitglieder\n        api_response = api_instance.i_os_shared_docs2_mitglieder_mitglieder_table_xml_get(view)\n        pprint(api_response)\n    except bundesrat.ApiException as e:\n        print("Exception when calling DefaultApi->i_os_shared_docs2_mitglieder_mitglieder_table_xml_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.bundesrat.de*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**i_os_shared_docs2_mitglieder_mitglieder_table_xml_get**](docs/DefaultApi.md#i_os_shared_docs2_mitglieder_mitglieder_table_xml_get) | **GET** /iOS/SharedDocs/2_Mitglieder/mitglieder_table.xml | Mitglieder\n*DefaultApi* | [**i_os_shared_docs3_plenum_plenum_aktuelle_sitzung_table_xml_get**](docs/DefaultApi.md#i_os_shared_docs3_plenum_plenum_aktuelle_sitzung_table_xml_get) | **GET** /iOS/SharedDocs/3_Plenum/plenum_aktuelleSitzung_table.xml | Plenum aktuelle Sitzung\n*DefaultApi* | [**i_os_shared_docs3_plenum_plenum_naechste_sitzungen_xml_get**](docs/DefaultApi.md#i_os_shared_docs3_plenum_plenum_naechste_sitzungen_xml_get) | **GET** /iOS/SharedDocs/3_Plenum/plenum_naechsteSitzungen.xml | Plenum nächste Sitzung\n*DefaultApi* | [**i_os_shared_docs3_plenum_plenum_to_chronologisch_table_xml_get**](docs/DefaultApi.md#i_os_shared_docs3_plenum_plenum_to_chronologisch_table_xml_get) | **GET** /iOS/SharedDocs/3_Plenum/plenum_toChronologisch_table.xml | Plenum Chronologisch\n*DefaultApi* | [**i_osv301_aktuelles_aktuelles_table_xml_get**](docs/DefaultApi.md#i_osv301_aktuelles_aktuelles_table_xml_get) | **GET** /iOS/v3/01_Aktuelles/aktuelles_table.xml | Aktuelles\n*DefaultApi* | [**i_osv302_termine_termine_table_xml_get**](docs/DefaultApi.md#i_osv302_termine_termine_table_xml_get) | **GET** /iOS/v3/02_Termine/termine_table.xml | Termine\n*DefaultApi* | [**i_osv303_plenum_plenum_kompakt_table_xml_get**](docs/DefaultApi.md#i_osv303_plenum_plenum_kompakt_table_xml_get) | **GET** /iOS/v3/03_Plenum/plenum_kompakt_table.xml | Plenum Kompakt\n*DefaultApi* | [**i_osv305_bundesrat_praesidium_bundesrat_praesidium_xml_get**](docs/DefaultApi.md#i_osv305_bundesrat_praesidium_bundesrat_praesidium_xml_get) | **GET** /iOS/v3/05_Bundesrat/Praesidium/bundesrat_praesidium.xml | Präsidium\n*DefaultApi* | [**i_osv306_stimmen_stimmverteilung_xml_get**](docs/DefaultApi.md#i_osv306_stimmen_stimmverteilung_xml_get) | **GET** /iOS/v3/06_Stimmen/stimmverteilung.xml | Stimmverteilung\n*DefaultApi* | [**i_osv3_startlist_table_xml_get**](docs/DefaultApi.md#i_osv3_startlist_table_xml_get) | **GET** /iOS/v3/startlist_table.xml | Übersicht API Endpunkte\n\n\n## Documentation For Models\n\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in bundesrat.apis and bundesrat.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.bundesrat.api.default_api import DefaultApi`\n- `from deutschland.bundesrat.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import bundesrat\nfrom deutschland.bundesrat.apis import *\nfrom deutschland.bundesrat.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/bundesrat-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
